Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class SessionPropertyElement

    java.lang.Object
      com.compoze.collab.SessionPropertyElement

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  SessionOption, SessionProperty

    public abstract class SessionPropertyElement

extends Object
implements Serializable

A superclass of classes used for the session properties.

See Also
  Serialized Form

Method Summary
`String` | `getAdminDescription(Locale locale)` Gets the administrator description of the property.
`String` | `getInternalName()` Gets the internal name of the property, as supplied when specifying properties to open a session with.
`protected String` | `getResource(Locale locale, String sKey)` Gets a resource.
`String` | `getShortUserDescription(Locale locale)` Gets the short user description of the property.
`String` | `getUserDescription(Locale locale)` Gets the full user description of the property.
`String` | `getUserName(Locale locale)` Gets the name of the property as displayable to the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInternalName

    public String getInternalName()

  Gets the internal name of the property, as supplied when specifying properties to open a session with.

  Returns
    the name

### getAdminDescription

    public String getAdminDescription(Locale locale)

  Gets the administrator description of the property.

  Parameters
    `locale` - the locale
  Returns
    the admin description

### getShortUserDescription

    public String getShortUserDescription(Locale locale)

  Gets the short user description of the property.

  Parameters
    `locale` - the locale
  Returns
    the short user description

### getUserDescription

    public String getUserDescription(Locale locale)

  Gets the full user description of the property.

  Parameters
    `locale` - the locale
  Returns
    the full user description

### getUserName

    public String getUserName(Locale locale)

  Gets the name of the property as displayable to the user.

  Parameters
    `locale` - the locale
  Returns
    the user name for the property

### getResource

    protected String getResource(Locale locale,
                                 String sKey)

  Gets a resource.

  Parameters
    `locale` - the locale
    `sKey` - the key
  Returns
    the resource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved